UnifiedFindingsGet a list of findings groups

Get a list of findings groups

curl -X GET "https://api.prd.rad.security/accounts/example_string/unified_findings/groups?limit=example_string&filters=example_string&from=example_string&to=example_string" \
  -H "Content-Type: application/json"
[
  {
    "account_id": "example_string",
    "cluster_id": "example_string",
    "findings": [
      {
        "account_id": "example_string",
        "cluster_id": "example_string",
        "created_at": "example_string",
        "deleted_at": "example_string",
        "event_timestamp": "example_string",
        "fingerprint": "example_string",
        "fix_attrs": {},
        "id": "example_string",
        "messages": [
          "example_string"
        ],
        "owner_id": "example_string",
        "rule_attrs": {},
        "rule_id": "example_string",
        "rule_title": "example_string",
        "severity": "example_string",
        "severity_int": 42,
        "source_actor": "example_string",
        "source_attrs": {},
        "source_id": "example_string",
        "source_kind": "example_string",
        "source_name": "John Doe",
        "source_namespace": "John Doe",
        "source_owner_id": "example_string",
        "source_type": "example_string",
        "tags": {},
        "tenant_id": "example_string",
        "type": "example_string",
        "updated_at": "example_string"
      }
    ],
    "first_seen": "example_string",
    "id": "example_string",
    "last_seen": "example_string",
    "rule_id": "example_string",
    "rule_title": "example_string",
    "severity": "example_string",
    "source_kind": "example_string",
    "source_name": "John Doe",
    "source_type": "example_string",
    "status": "example_string",
    "type": "example_string",
    "event_timestamp": "example_string",
    "group_id": "example_string",
    "rule_attrs": {},
    "source_attrs": {},
    "source_namespace": "John Doe"
  }
]
GET
/accounts/{account_id}/unified_findings/groups
GET
Base URLstring

Target server for requests. Edit to use your own host.

query
filtersstring

Filters i.e. status:open or type:runtime_alert,source_attrs[image_digest]:sha256:deadbeef

query
fromstring
Required

From created_at timestamp in RFC3339 or relative time format i.e. now-15m

query
tostring

To created_at timestamp in RFC3339 or relative time format i.e. now-15m

Request Preview
Response

Response will appear here after sending the request

Path Parameters

Query Parameters

filtersstring

Filters i.e. status:open or type:runtime_alert,source_attrs[image_digest]:sha256:deadbeef

fromstring
Required

From created_at timestamp in RFC3339 or relative time format i.e. now-15m

tostring

To created_at timestamp in RFC3339 or relative time format i.e. now-15m

Responses

account_idstring
cluster_idstring
findingsarray
first_seenstring
idstring
last_seenstring
rule_idstring
rule_titlestring
severitystring
source_kindstring
source_namestring
source_typestring
statusstring
typestring
event_timestampstring
group_idstring
rule_attrsobject
source_attrsobject
source_namespacestring